import java.util.ArrayList;
import java.awt.event.*;

/**
 *
 *  gesonderte Controller-Klasse zum Projekt.
 *
 */
public class Controller{

  private static Controller controller;
  private Gui gui;
  private Leinwand leinwand = null;
  private ArrayList<Moebel> moebelListe = new ArrayList();
  private int anzahl = 0;

  private Controller(){
    controller = this;
    gui = new Gui(controller, "Raumplaner");
  }

  private void erzeugeMausListener(){
    if (leinwand==null){
      leinwand = Leinwand.gibLeinwand();
      leinwand.fenster().addMouseListener(new MouseAdapter(){
        public void mouseClicked(MouseEvent e){
          System.out.println(e.getX()+" / "+e.getY());
        }
      });
    }
  }

  public void erzeugeMoebel(String typ){
    System.out.println(typ);
    Moebel moebel=null;
    if (typ.equals("Stuhl")) moebel = new Stuhl();
    else if (typ.equals("Tisch")) moebel = new Tisch();
    else if (typ.equals("Sessel")) moebel = new Sessel();
    else if (typ.equals("Bett")) moebel = new Bett();
    else if (typ.equals("Schrank")) moebel = new Schrank();
    else if (typ.equals("Schrankwand")) moebel = new Schrankwand(3);
    moebel.zeige();
    moebelListe.add(moebel);
    anzahl++;
    erzeugeMausListener();
  }

  public void alleLoeschen(){
    for (int i=0; i<moebelListe.size();i++)
    moebelListe.get(i).verberge();
    moebelListe.clear();
  }

  public static void main(String[] args) {
    new Controller();
  }
}