import java.awt.Shape;
import java.awt.geom.GeneralPath;
import java.util.ArrayList;

/**
 * Eine Schrankwand, die manipuliert werden kann und sich selbst auf einer Leinwand zeichnet.
 * @author Claus Albowski
 * @version  (nov'10)
 */
public class Schrankwand extends Moebel
{
  private ArrayList<Schrank> schraenke;
  private int anzahl;

  /**
   * Erzeuge eine neue Schrankwand mit einer Standardfarbe und Standardgroesse
   * an einer Standardposition.
   * Der Konstruktor muss die Zahl der Schrnke bergeben bekommen.
   */
    public Schrankwand(int anzahl)
  {
    xPosition = 240;
    yPosition = 240;
    farbe = "blau";
    orientierung = 90;
    istSichtbar = false;
    int schrankbreite = 60;
    this.anzahl = anzahl;
    breite = schrankbreite*anzahl;
    tiefe  = 37;
    schraenke = new ArrayList<Schrank>();
    for (int i=0;i<anzahl;i++){
        schraenke.add(new Schrank(i*schrankbreite, 0, farbe, 0, schrankbreite, tiefe));
    }
  }
  
  /**
   * Berechnet das zu zeichnende Shape anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      GeneralPath schrankwand = new GeneralPath();
      for (int i=0;i<anzahl;i++)
        schrankwand.append(schraenke.get(i).gibAktuelleFigur(), false);
      return  transformiere(schrankwand);
  }
  
}
